Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 105007 - mount -t hfs /dev/cdrom crashes kernel
Summary: mount -t hfs /dev/cdrom crashes kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-24 15:28 UTC by Chris Miles
Modified: 2015-01-04 22:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:33 UTC


Attachments (Terms of Use)
system log for kernel BUG at buffer.c:2618! (deleted)
2003-09-24 16:33 UTC, Chris Miles
no flags Details
untainted dmesg output (deleted)
2003-09-29 19:21 UTC, Chris Miles
no flags Details
Zip of messages, lsmod and XFree log (deleted)
2003-09-29 22:25 UTC, Chris Miles
no flags Details
lsmod after clean boot and CD mount -t hfs (deleted)
2003-10-10 09:27 UTC, Chris Miles
no flags Details
messages from clean boot and mount -t hfs (deleted)
2003-10-10 09:28 UTC, Chris Miles
no flags Details
XFree86.0.log from clean boot and mount -t hfs (deleted)
2003-10-10 09:30 UTC, Chris Miles
no flags Details

Description Chris Miles 2003-09-24 15:28:28 UTC
Description of problem:
Having built an iso fs with mkisofs to provide both rockridge, joliet and hfs
support, a loop back mount using hfs works fine.
However burning to cdrom and mounting -t hfs /dev/cdrom causes kernel BUG report.
CD works fine in iso9660 mode.

Version-Release number of selected component (if applicable):
Linux jenjen3.localdomain 2.4.20-20.9 #1 Mon Aug 18 11:27:43 EDT 2003 i686
athlon i386 GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1. Build isofs with:
mkisofs -r -J -l -D -L -V volid -hfs --macbin -o /home/tmp/dual-hfs-01.img
-graft-points /=/home/cmiles/dual
2. Check with loop back
mount -t hfs /home/tmp/dual-hfs-01.img /mnt/wrk -o loop,ro
3. Burn CD-R using xcdroast
Wed Sep 24 13:58:36 2003 XCDR 0.98alpha13: Executing:
/usr/lib/xcdroast-0.98/bin/xcdrwrap CDRECORD dev=1,0,0 gracetime=2 fs=8192k
driveropts=burnfree -v -useinfo speed=40 -dao -eject -pad -data
"/home/tmp/dual-hfs-01.img"
4. Mount CD defaults to iso9660 - no problems
5. Mount CD as type hfs gives log entry:
Sep 24 15:47:04 jenjen3 kernel: kernel BUG at buffer.c:2618!
Sep 24 15:47:04 jenjen3 kernel: invalid operand: 0000
    
Actual results:
kernel bug causes all subsequent mounts to hang; shutdown also hangs on unmount;
manual restart has to recover disks.

Expected results:
Access to mounted files from the CD as were available from the image looped back.

Additional info:
The CD has a large number of files, quite a number with long file names.

Comment 1 Chris Miles 2003-09-24 16:33:01 UTC
Created attachment 94684 [details]
system log for kernel BUG at buffer.c:2618!

Comment 2 Chris Miles 2003-09-27 12:04:45 UTC
I have rebuilt the iso image with '-part' but to the same effect.

However I have found (by mistake) that 'mount -t hfs /dev/cdrom /mnt/wrk -o
loop' works. Strange?


Comment 3 Chris Miles 2003-09-27 12:07:43 UTC
The CD reads fine in a Mac OS 9.1 machine (only the without -part was tested).


Comment 4 Dave Jones 2003-09-29 14:03:14 UTC
Repeatable without all the proprietory binary modules loaded ?

Comment 5 Arjan van de Ven 2003-09-29 14:05:47 UTC

*** This bug has been marked as a duplicate of 78616 ***

Comment 6 Chris Miles 2003-09-29 19:21:10 UTC
Created attachment 94830 [details]
untainted dmesg output

My apologies for submitting a tainted report.

I have tested without the tainted modules and the kernel BUG still occurs.

I find that the fault still occurs in single user mode. The dmesg output is
attached
The fault does not occur when the kernel boot parameter 'hdc=ide-scsi' is
removed. Full X11 and running the application off the HFS mounted CD rom is
then available.

Comment 7 Chris Miles 2003-09-29 19:23:11 UTC
This is repeatable without all the proprietory binary modules loaded.

Comment 8 Mike A. Harris 2003-09-29 20:54:39 UTC
Please provide a copy of your /var/log/messages from a full boot, as well as
the full output from "lsmod > lsmod.txt".  If you're using X on this machine,
I have an idea also, please attach your /var/log/XFree86.0.log as I'd like to
compare it with another bug report received.

Comment 9 Chris Miles 2003-09-29 22:25:05 UTC
Created attachment 94839 [details]
Zip of messages, lsmod and XFree log

The zip contains the requested files from a full X11 boot and hfs mount
segfault.

I find that the fault still occurs in single user mode.
The fault does not occur if the kernel boot parameter 'hdc=ide-scsi' is
removed.

Comment 10 Chris Miles 2003-10-10 09:27:02 UTC
Created attachment 95095 [details]
lsmod after clean boot and CD mount -t hfs

Comment 11 Chris Miles 2003-10-10 09:28:07 UTC
Created attachment 95096 [details]
messages from clean boot and mount -t hfs

Comment 12 Chris Miles 2003-10-10 09:30:03 UTC
Created attachment 95097 [details]
XFree86.0.log from clean boot and mount -t hfs

Same files as in the previous Zip attachment - easier to read in browser.

Comment 13 Chris Miles 2003-10-19 20:54:43 UTC
Please let me know if I can provide any more information or investigate further.

Comment 14 Bugzilla owner 2004-09-30 15:41:33 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.